### Method

# GLib AsyncQueue lock

#### Declaration [src]

    void
    g_async_queue_lock (
      GAsyncQueue* queue
    )

#### Description [src]

Acquires the `queue`‘s lock. If another thread is already holding the lock, this call will block until the lock becomes available.

Call `g_async_queue_unlock()` to drop the lock again.

While holding the lock, you can only call the g_async_queue_*_unlocked() functions on `queue`. Otherwise, deadlock may occur.